import os
"""File system info"""
ROOT_DIR = os.path.dirname(os.path.abspath(__file__))

"""DB Table names"""
# RAW
RAW_TABLE_RKI = 'RAW_RKI'
# STAGING
STG_TABLE_RKI = 'STG_RKI'
SORTED_OUT_TABLE_RKI = 'SORTED_OUT_RKI'
DIM_TABLE_STATE = 'STG_DIM_STATE'
DIM_TABLE_COUNTY = 'STG_DIM_COUNTY'
DIM_TABLE_AGEGROUP = 'STG_DIM_AGEGROUP'
DIM_TABLE_GENDER = 'STG_DIM_GENDER'
DIM_TABLE_NEWCASE = 'STG_DIM_NEWCASE'
DIM_TABLE_NEWDEATH = 'STG_DIM_NEWDEATH'
DIM_TABLE_NEWRECOV = 'STG_DIM_NEWRECOV'
# SOR
SOR_TABLE_CASE = 'SOR_FACT_CASE'
SOR_TABLE_CASE_ARCHIVE = 'SOR_ARCH_CASE'

"""Data constants"""
NULL_DATE_VALUE = '1900-01-01'
